If you have phpMediaEmbed ext installed, upgrade to phpBB 3.2.6 may cause issues

Ultimate bridge for connecting Joomla! and phpBB 3.
Forum rules
This forum is not for any support questions/issues/features. Please use Support Center for such requests.
Oby
Newbie
Newbie
Posts: 9
Joined: March 6th, 2017, 4:11 pm
Name: Stian Øby Johansen
Browser: Firefox

If you have phpMediaEmbed ext installed, upgrade to phpBB 3.2.6 may cause issues

Post by Oby »

I just upgraded to phpBB 3.2.6, and afterwards the joomla wrapped forum is inaccessible: https://halonorge.no/community

The error message given is "0 - Media site 'blab' does not exist".


EDIT: This was due to a plugin incompatibility, see below.
Last edited by Oby on May 1st, 2019, 3:11 am, edited 1 time in total.
User avatar
Admin
Site Admin
Site Admin
Posts: 954
Joined: October 21st, 2008, 5:39 pm
Name: Administrator
Browser: Chrome

Re: DO NOT UPGRADE to phpBB 3.2.6 - wrapped forum inaccessible

Post by Admin »

The issue is not related to the bridge but to your website environment. Upgrade is possible, even this board already runs 3.2.6, please contact support.
User avatar
Admin
Site Admin
Site Admin
Posts: 954
Joined: October 21st, 2008, 5:39 pm
Name: Administrator
Browser: Chrome

Re: DO NOT UPGRADE to phpBB 3.2.6 - wrapped forum inaccessible

Post by Admin »

The issue comes from phpBB's MediaEmbed plugin which is incompatible with phpBB 3.2.6:
https://www.phpbb.com/customise/db/exte ... ediaembed/

It should be disabled before upgrade.
Oby
Newbie
Newbie
Posts: 9
Joined: March 6th, 2017, 4:11 pm
Name: Stian Øby Johansen
Browser: Firefox

Re: DO NOT UPGRADE to phpBB 3.2.6 - wrapped forum inaccessible

Post by Oby »

Indeed, I stand corrected. Thanks for helping me identify the issue.
Oby
Newbie
Newbie
Posts: 9
Joined: March 6th, 2017, 4:11 pm
Name: Stian Øby Johansen
Browser: Firefox

Re: DO NOT UPGRADE to phpBB 3.2.6 - wrapped forum inaccessible

Post by Oby »

Actually, the phpBB media embed plugin had been updated a while ago to include a fix for this issue: https://www.phpbb.com/customise/db/exte ... ediaembed/

Sadly, though, phpBB do not seem to warn about updates for extensions unless you perform a manual check...